kartongips: remove deprecated diff-strategy flag
09/11/2021 12:42 PM - g3k

Status: Assigned
Priority: Normal
Assignee: g3k
Category: hscloud
Description

Over in https:/gerrit.hackerspace.pl/1087 , we deprecate the --diff-strategy flag and set the default behaviour to subset.

This is tracking issues to remove this flag after some time has passed and no-one complains that they relied on the old behaviour.

Current deadline is “date” + 3mo, ie. December 11, 2021.

History

#1 - 09/11/2021 12:48 PM - q3k

Rationale for setting the default strategy to subset: it's the only mode | use, the only mode | see others use, and pretty much the behavior people
seem to want. For some reason (backwards compat in upstream kubecfg?) it is not the default.

It's also weirdly named, as it's not strictly acting on a subset (especially now that we do things like handling aggregated ClusterRoles).

My plan is to instead have one default sane behaviour of “kartongips diff’, be it via the current 'subset' codepath or by moving kubecfg over to use
server-side apply and/or even backing it in kubectl diff.

#2 - 02/09/2022 08:09 PM - informatic

In may of 2021 last-applied strategy (based on serialized config stored in kubecfg.ksonnet.io/last-applied-configuration annotation - one that is already
pushed in the version we have) has been introduced. It seems to work fairly well, based on testing in some of my personal projects.
https://github.com/vmware-archive/k f mmit/31781f22 f2e122 ff7 2

#3 - 07/04/2022 01:08 PM - q3k

- Category set to hscloud
